Post by xswiftyx » Sun Feb 28, 2010 11:57 pm

Fatal error: Cannot redeclare class Action in /homepages/5/d160828224/htdocs/system/engine/action.php on line 58

Installed v1.4. 1st problem was PHP 5.1 Required. So edited .htaccess file by adding the extra lines as described in another post.
Installation was fine.

Then uploaded all files from active website on another server (overwrit them) inc images etc...
Then this error appeared.
imported database and no difference. Please can someone help asap.

Newbie

Posts

Joined
Sat Feb 27, 2010 6:51 am

Post by Qphoria » Mon Mar 01, 2010 12:22 am

Ive never seen this. It means that a class is being declared twice, but there is no code doing that that I know of. This is a fresh install with no mods?

What if you try an older version like 1.3.4, just to see if that works

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by xswiftyx » Mon Mar 01, 2010 1:15 am

Like i said it was fresh and worked fine so i over wrote the files with the slighlty modified shop i have. Then this is what happened.
I do have oscommerece installed in the same directory. I have renamed it to index2.php. This page works but i get the same error when i click i catagory.. Dont really want to delete it just yet... any idea's?
If i remove the .htaccess files it just says Php5.1 Required

Newbie

Posts

Joined
Sat Feb 27, 2010 6:51 am

Post by OSWorX » Mon Mar 01, 2010 1:49 am

xswiftyx wrote:Like i said it was fresh and worked fine so i over wrote the files with the slighlty modified shop i have. Then this is what happened.
You are saying that it worked with the fresh installation?
And then this error came up after copying over your modified files?

Looks to me that you have an error in the modified files or you did NOT overwrote all files.

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by xswiftyx » Mon Mar 01, 2010 4:00 am

You were right. I deleted catalog and system and re-uploaded them and works now. Thanks for your help

Newbie

Posts

Joined
Sat Feb 27, 2010 6:51 am

Post by johnforster » Mon Apr 19, 2010 1:58 pm

Sorry to trouble you.

When you installed 1.4 and received the message "PHP5.1+ Required "
What idid you add/change to .htaccess file.

So many thanks - John

Newbie

Posts

Joined
Mon Apr 19, 2010 1:29 pm

Post by i2Paq » Mon Apr 19, 2010 4:31 pm

johnforster wrote:Sorry to trouble you.

When you installed 1.4 and received the message "PHP5.1+ Required "
What idid you add/change to .htaccess file.

So many thanks - John
Try:

Code: Select all

AddType x-mapp-php5 .php
AddHandler x-mapp-php5 .php

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands
Who is online

Users browsing this forum: No registered users and 5 guests